Browse Source

Make opensuse jobs nonvoting

The opensuse images tend to be less stable, and the opensuse nodeset was
moved to openSUSE 15.2 which does not work properly with devstack for
the train and lower branches. Ussuri works for the moment, and Victoria+
have been moved to Ubuntu, so this patch is targeted for stable/train
and prior to disable voting for opensuse-based jobs.

To fix the gate, patch also pulls in this backport:

Update amqp lower constraint

Newer versions of kombu rely on updated versions of amqp [0]. Keystone's
lower-constraints job is failing consistently across multiple branches
because it's referencing amqp 2.2.2 when we should be relying on a newer
version (5.0.0+).

You can verify this by using `pip3 check` with the lower-constraints tox
environment.

Without this patch, you'll likely see the test_notifications tests fail
with something like:

  ModuleNotFoundError: No module named 'vine.five'

Which spirals into subsequent failures mocking messaging drivers.

[0] https://github.com/celery/celery/issues/3547

(cherry picked from commit c495defc2b)
(cherry picked from commit 12891a039f)
(cherry picked from commit d435a91516)

Change-Id: I2895300556b83e943ce5e5fd72e4b86317a306a9
changes/50/759750/2
Colleen Murphy 3 months ago
parent
commit
28d2dd19e1
2 changed files with 2 additions and 3 deletions
  1. +1
    -2
      .zuul.yaml
  2. +1
    -1
      lower-constraints.txt

+ 1
- 2
.zuul.yaml View File

@ -204,6 +204,7 @@
voting: false
irrelevant-files: *irrelevant-files
- keystone-dsvm-py3-functional-federation-opensuse15-k2k:
voting: false
irrelevant-files: *irrelevant-files
- keystoneclient-devstack-functional:
voting: false
@ -236,8 +237,6 @@
irrelevant-files: *irrelevant-files
- keystone-dsvm-py3-functional:
irrelevant-files: *irrelevant-files
- keystone-dsvm-py3-functional-federation-opensuse15-k2k:
irrelevant-files: *irrelevant-files
- tempest-full:
irrelevant-files: *tempest-irrelevant-files
- tempest-full-py3:


+ 1
- 1
lower-constraints.txt View File

@ -1,4 +1,4 @@
amqp==2.2.2
amqp==5.0.0
Babel==2.3.4
bashate==0.5.1
bcrypt==3.1.3


Loading…
Cancel
Save